#ifndef MFILLHSTARMAP_H
#define MFILLHSTARMAP_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MTASK_H
#include "MTask.h"
#endif

class MParList;
class MHStarMap;
class MHillas;

class MFillHStarMap : public MTask {
 private:
  MHillas   *fEvt;
  MHStarMap *fHistos ;

 public:   
  MFillHStarMap(const char *name=NULL, const char *title=NULL);

  Bool_t PreProcess(MParList *pList);
  Bool_t Process() ;
  
  ClassDef(MFillHStarMap, 0) // Task to fill a 2-dim histogram by the Hillas parameters

};
    
#endif

